Bug 1554757 - Backport fix for SSLContext.wrap_socket sending SNI Extension when server_hostname is IP
Summary: Backport fix for SSLContext.wrap_socket sending SNI Extension when server_hos...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-13 10:16 UTC by Petr Viktorin
Modified: 2018-03-30 12:53 UTC (History)
11 users (show)

Fixed In Version: python3-3.6.4-9.fc27 python3-3.6.4-3.fc26 python3-3.6.4-17.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-16 16:45:24 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Python 32185 0 None None None 2018-03-13 10:16:03 UTC

Description Petr Viktorin 2018-03-13 10:16:03 UTC
More and more users are hitting this bug; upstream asks to backport it to Python 3.
See https://github.com/shazow/urllib3/pull/1287

Comment 1 Fedora Update System 2018-03-14 13:11:46 UTC
python3-3.6.4-17.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-527f8d9c63

Comment 2 Fedora Update System 2018-03-14 13:12:11 UTC
python3-3.6.4-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-786774956d

Comment 3 Fedora Update System 2018-03-14 13:12:32 UTC
python3-3.6.4-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-13dc94ac37

Comment 4 Fedora Update System 2018-03-14 18:06:18 UTC
python3-3.6.4-17.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-527f8d9c63

Comment 5 Fedora Update System 2018-03-14 20:07:07 UTC
python3-3.6.4-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-13dc94ac37

Comment 6 Fedora Update System 2018-03-14 20:44:35 UTC
python3-3.6.4-9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-786774956d

Comment 7 Fedora Update System 2018-03-16 16:45:24 UTC
python3-3.6.4-9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-03-20 17:33:20 UTC
python3-3.6.4-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-03-30 12:53:44 UTC
python3-3.6.4-17.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.